"""add show_dates to shop

Revision ID: ecb51cffd213
Revises: 05be3044c2d2
Create Date: 2026-02-01 11:23:33.791512

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'ecb51cffd213'
down_revision = '05be3044c2d2'
branch_labels = None
depends_on = None

from make_post_sell.models.meta import UUIDType


def upgrade():
    op.add_column(
        "mps_shop",
        sa.Column("show_dates", sa.Boolean(), nullable=False, server_default="1"),
    )


def downgrade():
    op.drop_column("mps_shop", "show_dates")
